X2Go Bug report logs - #300
Allow x2gothinclientcreate to run non-interactive

version graph

Package: x2gothinclient; Maintainer for x2gothinclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gothinclient is src:x2gothinclient.

Reported by: Arnold Krille <a.krille@b-c-s.de>

Date: Thu, 5 Sep 2013 09:03:01 UTC

Severity: normal

Tags: pending

Found in version 1.1.0.0

Fixed in version 1.1.0.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#300; Package x2gothinclient. (Thu, 05 Sep 2013 09:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Arnold Krille <a.krille@b-c-s.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 05 Sep 2013 09:03:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Arnold Krille <a.krille@b-c-s.de>
To: submit@bugs.x2go.org
Cc: Arnold Krille <a.krille@b-c-s.de>
Subject: Allow x2gothinclientcreate to run non-interactive
Date: Thu, 5 Sep 2013 10:50:18 +0200
Package: x2gothinclient

When you want to set up your X2Go-TCE via a script (like chef or puppet), the
installer shouldn't ask questions on the command-line. So deactivate waiting
for confirmation and make apt-get use the defaults for configuring instead of
asking.
---
 .../sbin/x2gothinclient_create                     |   24 +++++++++++++++-----
 1 file changed, 18 insertions(+), 6 deletions(-)

diff --git a/x2gothinclientmanagement/sbin/x2gothinclient_create b/x2gothinclientmanagement/sbin/x2gothinclient_create
index 0e6037c..aae0124 100755
--- a/x2gothinclientmanagement/sbin/x2gothinclient_create
+++ b/x2gothinclientmanagement/sbin/x2gothinclient_create
@@ -43,6 +43,8 @@ TC_DEBMIRROR_URL="${TC_DEBMIRROR_URL:-'http://ftp.debian.org/debian'}"
 TC_X2GO_DEBURL="${TC_X2GO_DEBURL:-'deb http://packages.x2go.org $TC_DISTRO_CODENAME main'}"
 TC_MODULE_BLACKLIST="${TC_MODULE_BLACKLIST:-'pcspkr'}"
 
+TC_NONINTERACTIVE="${TC_NONINTERACTIVE:-}"
+
 test -e "$TC_CHROOT" && { 
 	echo "ERROR: X2Go Thin Client chroot already exists at $TC_CHROOT."
 	echo "Clear $TC_BASE/ and then run $(basename $0) again..."
@@ -54,11 +56,15 @@ test -e "$TC_CHROOT" && {
 	exit -2
 }
 
-echo "Hit <RETURN> to continue with X2Go TCE chroot creation using"
-echo "the above TCE parameters..."
-echo
-echo "Alternatively, hit STRG-C to cancel the operation now!!!"
-read
+if [ "x${TC_NONINTERACTIVE}" = "x" ]; then
+    echo "Hit <RETURN> to continue with X2Go TCE chroot creation using"
+    echo "the above TCE parameters..."
+    echo
+    echo "Alternatively, hit STRG-C to cancel the operation now!!!"
+    read
+else
+    echo "Non-interactive mode selected, will continue with the above settings"
+fi
 
 export LANG=C
 
@@ -124,6 +130,10 @@ export http_proxy=$TC_HTTP_PROXY
 export https_proxy=$TC_HTTPS_PROXY
 export ftp_proxy=$TC_FTP_PROXY
 
+if [ "x${TC_NONINTERACTIVE}" != "x" ]; then
+    export DEBIAN_FRONTEND=noninteractive
+fi
+
 mkdir -p /tmp/user/0
 mkdir -p /var/lib/xkb
 mkdir -p /var/lib/nfs
@@ -156,7 +166,9 @@ export X2GO_HANDLE_DAEMONS=false
 [ \$? -eq 0 ] && apt-get update
 [ \$? -eq 0 ] && apt-get install $TC_SHELL -y
 [ \$? -eq 0 ] && apt-get install syslinux locales -y
-[ \$? -eq 0 ] && dpkg-reconfigure locales
+if [ \$? -eq 0 -a "x${TC_NONINTERACTIVE}" != "x" ]; then
+    dpkg-reconfigure locales
+fi
 [ \$? -eq 0 ] && apt-get install linux-image-486 -y
 [ \$? -eq 0 ] && test -h /vmlinuz && mv /vmlinuz /vmlinuz.486.tmp || true
 [ \$? -eq 0 ] && LINK_TARGET=\$(readlink /vmlinuz.486.tmp | sed 's@/boot@boot@') && ln -sf \$LINK_TARGET /vmlinuz.486 && rm -f /vmlinuz.486.tmp
-- 
1.7.9.5


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#300; Package x2gothinclient. (Thu, 12 Sep 2013 09:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 12 Sep 2013 09:03:02 GMT) (full text, mbox, link).


Message #10 received at 300@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 300-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 300@bugs.x2go.org
Subject: X2Go issue (in src:x2gothinclient) has been marked as pending for release
Date: Thu, 12 Sep 2013 10:48:40 +0200 (CEST)
tag #300 pending
fixed #300 1.1.0.0
thanks

Hello,

X2Go issue #300 (src:x2gothinclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gothinclient.git;a=commitdiff;h=f7ba5cc

The issue will most likely be fixed in src:x2gothinclient (1.1.0.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit f7ba5cc8ca5588009ec623288e7adf15b6f6b5a3
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Thu Sep 12 10:48:33 2013 +0200

    Allow non-interactive execution of x2gothinclient_create. (Fixes: #300).

diff --git a/debian/changelog b/debian/changelog
index 0d09f7b..c6f344b 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -9,6 +9,8 @@ x2gothinclient (1.1.0.0-0~x2go2) UNRELEASED; urgency=low
   * New upstream version (1.1.0.1):
     - Extend x2gothinclient_shell to run anything given as arguments and
       fall back to $TC_SHELL when nothing is given. (Fixes: #301).
+    - Allow non-interactive execution of x2gothinclient_create. (Fixes:
+      #300).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 17 Aug 2013 00:35:31 +0200
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 12 Sep 2013 09:03:02 GMT) (full text, mbox, link).


Marked as fixed in versions 1.1.0.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 12 Sep 2013 09:03:02 GMT) (full text, mbox, link).


Marked as found in versions 1.1.0.0; no longer marked as fixed in versions 1.1.0.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 12 Sep 2013 09:03:02 GMT) (full text, mbox, link).


Marked as fixed in versions 1.1.0.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 12 Sep 2013 09:03:02 GMT) (full text, mbox, link).


Message sent on to Arnold Krille <a.krille@b-c-s.de>:
Bug#300. (Thu, 12 Sep 2013 09:03:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#300; Package x2gothinclient. (Fri, 22 Nov 2013 23:03:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 22 Nov 2013 23:03:03 GMT) (full text, mbox, link).


Message #26 received at 300@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 300-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 300@bugs.x2go.org
Subject: X2Go issue (in src:x2gothinclient) has been marked as closed
Date: Fri, 22 Nov 2013 23:53:28 +0100 (CET)
close #300
thanks

Hello,

we are very hopeful that X2Go issue #300 reported by you
has been resolved in the new release (1.1.0.1) of the
X2Go source project »src:x2gothinclient«.

You can view the complete changelog entry of src:x2gothinclient (1.1.0.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2gothinclient.

    http://code.x2go.org/gitweb?p=x2gothinclient.git;a=commitdiff;h=9aebcecfe34cc01dc9adf1e3917f6ce902999ad8;hp=37470492cb86f3dd411f468c4a333840795776f3

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2gothinclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2gothinclient
Version: 1.1.0.1
Status: RELEASE
Date: Fri, 22 Nov 2013 23:51:33 +0100
Fixes: 300 301
Changes: 
 x2gothinclient (1.1.0.1) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream version (1.1.0.1):
     - Switch to VT-7 on TC shutdown.
     - Syntax fix in x2gousbmount script.
     - Make ~x2gothinclient rw-able on TCE machines. Thanks to Peter
       Schneider for pointing at this.
     - Remove chroot bootstrap cruft when finished with creating the
       TCE chroot.
     - Deactivate serial line terminals on X2Go thinclients.
     - Install TCE dependencies via meta-package x2gothinclient-chroot.
     - Move init scripts from debian/ folder into upstream folders.
     - Provide x2gothinclient-chroot.init script that tweaks the chroot
       during thin client startup.
     - Patch /etc/init.d/checkroot-bootclean.sh during TCE creation to
       avoid failures when clean tmp files on the read-only NFS root-fs.
     - Work around Debian bug #729373 during TCE creation. Replace alsa-utils
       init script and ALSA's utils.sh (for Debian wheezy+jessie chroots).
     - Refrain from using "~<user>" when launching X2Go Client as it cannot
       handle it, yet. Use "~" instead (handable by X2Go Client >= 4.0.1.2).
     - Tweak the /etc/os-release more comprehensively.
     - Update initramfs at the very end of the TCE creation.
     - Do not over-mount /run as tmpfs. This is already done by the Debian
       boot process.
     - Monitor mounted USB devices via ~x2gothinclient/mounts (and not via
       deprecated location /var/run).
     - Add TC_NONINTERACTIVE (commented out) to x2gothinclient_settings config
       file.
     - Add syslog support to x2gousbmount.
     - Install radeon and i915 kms/drm module into initrd image for Debian
       (>= 7).
   * debian/control:
     + New bin:package x2gothinclient-chroot.
     + Make sure x2gothinclient-chroot pulls in editing tools like
       mc, vim, less via Recommends: field.
     + Depend on x2goclient (>= 4.0.1.2-0~).
     + Suggest some helpful firmware packages (also from non-free) in bin:package
       x2gothinclient-chroot.
 .
   [ Arnold Krille ]
   * New upstream version (1.1.0.1):
     - Extend x2gothinclient_shell to run anything given as arguments and
       fall back to $TC_SHELL when nothing is given. (Fixes: #301).
     - Allow non-interactive execution of x2gothinclient_create. (Fixes:
       #300).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 22 Nov 2013 23:03:03 GMT) (full text, mbox, link).


Notification sent to Arnold Krille <a.krille@b-c-s.de>:
Bug acknowledged by developer. (Fri, 22 Nov 2013 23:03:03 GMT) (full text, mbox, link).


Message sent on to Arnold Krille <a.krille@b-c-s.de>:
Bug#300. (Fri, 22 Nov 2013 23:03:04 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 21 Dec 2013 06:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 13 16:10:08 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.